class GraphTest {
  
  public static void main(String[] args) {
    Graph g = new Graph();

    Vertex a = new Vertex('A', true);  g.addVertex(a);
    Vertex b = new Vertex('B', false); g.addVertex(b);
    Vertex c = new Vertex('C', false); g.addVertex(c);
    Vertex d = new Vertex('D', false); g.addVertex(d);

    g.addEdge(new Edge(a, b, 10, Edge.Kind.Undirected));
    g.addEdge(new Edge(b, c, 1,  Edge.Kind.Undirected));
    g.addEdge(new Edge(b, d, 1,  Edge.Kind.Undirected));
    g.addEdge(new Edge(c, a, 1,  Edge.Kind.Undirected));

    g.makeDot("graph.dot");

    g.depthFirstSearch();

    g.breadthFirstSearch();

    g.makeMinimalSpanningTree(a);
    // g.makeDot("mst.dot");

    g.makeShortestPath(a, d);
    // g.makeDot("sp.dot");
  }

}